rm(list=ls())
library(data.table)
library(ggplot2)
library(scales)
library(car)
setwd("/Users/otto/Documents/OLI_paper/Analyses/OccupationDistribution")

data <- fread('http://linux.oii.ox.ac.uk/~otto.kassi/OLI/OLIdata.txt')
data <- data[data$date <= '2016-10-01',] 

agg <- aggregate(count ~ factor(occupation) + factor(status), FUN=mean, data=data[data$status == 'new'])

names(agg) <- c('Occupation','Status','Indx')

agg$Indx <- agg$Indx / agg$Indx[agg$Occupation == 'Total']
agg <- agg[agg$Occupation != 'Total',]

agg$Occupation = as.character(recode(agg$Occupation, "'Clerical and data entry'='Clerical'; 'Software development and technology' = 'Software';
	'Writing and translation' = 'Writing'; 'Professional services' = 'Professional'; 
	'Creative and multimedia' = 'Creative'; 'Sales and marketing support' = 'Sales'"))

agg$Occupation <- factor(agg$Occupation, levels=rev(c('Software','Creative','Clerical', 'Writing','Sales','Professional')))

# fig 3
pdf('OccupationShares.pdf')
ggplot(agg, aes(Occupation, y=Indx)) + geom_bar(stat='identity') +  labs(y = "Share", x='')  + coord_flip()  + scale_y_continuous(limits=c(0,1), labels=percent) +  guides(fill=FALSE)
dev.off()






# names(agg.se)[3] <- 'count.sd'

# agg <- merge(agg, agg.se, by=c('factor(occupation)','factor(status)'))
# names(agg) <- c('occupation','status','num_projects','num_projects.se')

# agg$occupation <- as.character(agg$occupation)
# agg$occupation = as.character(recode(agg$occupation, "'Clerical and data entry'='Clerical'; 'Software development and technology' = 'Software';
# 	'Writing and translation' = 'Writing'; 'Professional services' = 'Professional'; 
# 	'Creative and multimedia' = 'Creative'; 'Sales and marketing support' = 'Sales'"))
# agg$occupation <- factor(agg$occupation, levels=c('Software','Creative','Clerical', 'Writing','Sales','Professional'))

# agg$status <- factor(agg$status)
# relevel(agg$status, 'new') -> agg$status


# means.barplot <-  ggplot(agg, aes(occupation, y=num_projects, fill=status )) + geom_bar(stat='identity', position='dodge') 
# limits <- aes(ymax = agg$num_projects + 2*agg$num_projects.se, ymin = agg$num_projects - 2*agg$num_projects.se)

# pdf('NewAndCompletedMean.pdf')
# means.barplot + geom_errorbar(limits, position='dodge', width = 0.25) + theme(axis.text.x=element_text(angle=90))  +  labs(y = "Number of vacancies", x='') 
# dev.off()

# png('NewAndCompletedMean.png')
# means.barplot + geom_errorbar(limits, position='dodge', width = 0.25) + theme(axis.text.x=element_text(angle=90))  +  labs(y = "Number of vacancies", x='') 
# dev.off()




