## plot 28 day moving avs
rm(list=ls())

setwd('/Users/otto/Documents/OLI_paper/Analyses/28dayMA/')
library(data.table)
library(reshape)
library(ggplot2)

fread('http://linux.oii.ox.ac.uk/~otto.kassi/OLI/OLIdata.txt') -> oli
melt(oli, id=c('date','occupation','status') ) -> oli2
oli2$Occupation <- oli2$occupation
cast(oli2, date ~ occupation + status) -> oli3

# fun for calculating ma
ma <- function(x,n=28){filter(x,rep(1/n,n), sides=1)}

data.frame(cbind(oli3$date, ma(oli3$Total_new), ma(oli3$`Software development and technology_new`),ma(oli3$`Creative and multimedia_new`), ma(oli3$`Clerical and data entry_new`),ma(oli3$`Writing and translation_new`) ,ma(oli3$`Sales and marketing support_new`) ,ma(oli3$`Professional services_new`))) -> indx

names(indx) <- c('date','Total','Software','Creative','writing','Clerical','Sales','Professional')
indx <- indx[!is.na(indx$Total),]
indx <- melt(indx, id=c(c('date')))
indx$date <- as.Date(as.character(indx$date))
indx$value <- as.numeric(as.character(indx$value))
indx$Occupation <- indx$variable

raw <- oli2[oli2$status == 'new' & oli2$Occupation == 'Total',]
raw$date <- as.Date(as.character(raw$date))
raw$Occupation <- raw$occupation


pdf('withTotal.pdf')
ggplot(indx , aes(y=value, x=date, group=as.factor(Occupation), color=as.factor(Occupation))) + geom_line() + scale_colour_discrete(name="Occupation") + labs(x = 'Date', y='Online Labour Index', title = '' ) + scale_x_date(date_breaks = "2 weeks") + theme(axis.text.x = element_text(angle=90))+ scale_y_continuous(limits=c(0,125))
dev.off()

pdf('withoutTotal.pdf')
ggplot(indx[indx$Occupation != 'Total',] , aes(y=value, x=date, group=as.factor(Occupation), color=as.factor(Occupation))) + geom_line() + scale_colour_discrete(name="Occupation") + labs(x = 'Date', y='Online Labour Index', title = '' ) + scale_x_date(date_breaks = "2 weeks") + theme(axis.text.x = element_text(angle=90))
dev.off()

#figure 1
pdf('onlyTotal_ma.pdf')
ggplot(indx[indx$Occupation == 'Total',] , aes(y=value, x=date, group=as.factor(Occupation))) + geom_line() + labs(x = 'Date', y='Online Labour Index', title = '' ) + scale_x_date(date_breaks = "1 month", date_labels = '%b-%Y') + theme(axis.text.x = element_text(angle=0), legend.position='none') + scale_y_continuous(limits=c(90,125))
dev.off()

#figure 2
pdf('onlyTotal_raw.pdf')
ggplot(raw, aes(y=value, x=date, group=as.factor(Occupation))) + geom_line() + labs(x = 'Date', y='Online Labour Index', title = '' ) + scale_x_date(date_breaks = "1 month", date_labels = '%b-%Y') + theme(axis.text.x = element_text(angle=0), legend.position='none') + scale_y_continuous(limits=c(55,180))
dev.off()


